Package org.apache.sling.distribution.journal.impl.precondition

## Interface Precondition

All Known Implementing Classes:
  `DefaultPrecondition`, `StagingPrecondition`

    public interface Precondition

Extension point for checking if a package can be processed by a subscriber.

### Nested Class Summary

Nested Classes
`static class` `Precondition.Decision`

### Method Summary

All Methods Instance Methods Abstract Methods
`Precondition.Decision` `canProcess​(String subAgentName, long pkgOffset)` Checks if a package can be processed

### Method Detail

#### canProcess

    Precondition.Decision canProcess​(String subAgentName,
                                     long pkgOffset)

Checks if a package can be processed